package com.cim.idm.dao;

import com.cim.idm.model.MaterialPackingSubDto;
import com.cim.idm.data.changeOrder.changeOrderDto;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
@Mapper
public interface MesToWmsDao {

    public List<MaterialPackingSubDto> getEndReportList(@Param("materialPackingName") String materialPackingName) throws Exception;

    public void updateEndReport(@Param("receiveRequestName") String receiveRequestName,@Param("receiveRequestDetailName") String receiveRequestDetailName,@Param("materialPackingName") String materialPackingName) throws Exception;

    public void updateEndReport2(@Param("receiveRequestName") String receiveRequestName,@Param("receiveRequestDetailName") String receiveRequestDetailName,@Param("materialPackingName") String materialPackingName) throws Exception;

    public void deleteSub(@Param("receiveRequestName") String receiveRequestName,@Param("receiveRequestDetailName") String receiveRequestDetailName,@Param("materialPackingName") String materialPackingName) throws Exception;

    public void updateBsMesShipped(@Param("materialPackingName") String materialPackingName) throws Exception;

    public void updateUnDoId(@Param("undoId") String undoId) throws Exception;

    List<changeOrderDto> getMaterialPackingList(@Param("materialSpecnameList") List<String> materialSpecnameList, @Param("chargeList") List<String> chargeList);


    void updateMDCFlag(@Param("materialSpecnameList") List<String> materialSpecnameList, @Param("chargeList") List<String> chargeList, @Param("t") String t);

    List<changeOrderDto> getMaterialPackingListByRK(@Param("materialSpecnameList") List<String> materialSpecnameList, @Param("chargeList") List<String> chargeList);

    void updateWO(@Param("materialSpecnameList") List<String> materialSpecnameList, @Param("chargeList") List<String> chargeList, @Param("t") String t);
}
