package com.cim.idm.service;


import com.cim.idm.framework.data.EventInfo;
import com.cim.idm.wmsextend.generic.errorHandler.CustomException;

/**
 * QMS接口类
 * @author ZXYGY17
 *
 */
public interface QMSService {
	
	/**
	 * 待检信息发送QMS系统
	 * @param receiveActNo
	 * @return
	 */
	String PreIQCInfoSend (String receiveActNo, String siteName, String opCode, String erpFactory) throws CustomException;


	/**
	 * 调用QMS质检接口
	 * @param sendQMSUrl QMS质检url
	 * @param sendQMSJson QMS质检报文
	 * @return QMS返回状态码
	 * @throws CustomException
	 */
	String sendQMSByUrlJson (String sendQMSUrl,String sendQMSJson, EventInfo eventInfo) throws CustomException;

}
